Subject: bug#70024: closed (Re: [bug#70024] [PATCH core-updates 0/4] Update enchant to 2.6.8; Add Nuspell support.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Apr 2024 11:52:16 +0000

Your bug report

#70024: [PATCH core-updates 0/4] Update enchant to 2.6.8; Add Nuspell support.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70024: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70024
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70024] [PATCH core-updates 0/4] Update enchant to 2.6.8; Add Nuspell support.
From: Nicolas Goaziou <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Apr 2024 13:50:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Nicolas Goaziou <[email-masked]> writes:
>
>> This patch set updates enchant and add Nuspell support. I had to fix an issue with unittest-cpp along the way..
>>
>> Regards,
>>
>> Nicolas Goaziou (4):
>>   gnu: unittest-cpp: Fix "Version" setting in ".pc" file.
>>   gnu: enchant: Update to 2.6.8.
>>   gnu: enchant: Improve package style.
>>   gnu: enchant: Add Nuspell support.
>>
>>  gnu/packages/check.scm   |  6 +++++-
>
> Reviewed-by: Maxim Cournoyer <maxim.cournoyer@gmail>

Thank you. I applied the patch set to core-updates.

I also bumped enchant to 2.6.9, assuming nothing had been pre-built
during the QA process. If my assumption is wrong, and this change delays
core-update merge too much, it can be reverted.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH core-updates 0/4] Update enchant to 2.6.8; Add Nuspell support.
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Cc: Nicolas Goaziou <[email-masked]>
Date: Wed, 27 Mar 2024 10:30:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch set updates enchant and add Nuspell support. I had to fix an issue with unittest-cpp along the way..

Regards,

Nicolas Goaziou (4):
  gnu: unittest-cpp: Fix "Version" setting in ".pc" file.
  gnu: enchant: Update to 2.6.8.
  gnu: enchant: Improve package style.
  gnu: enchant: Add Nuspell support.

 gnu/packages/check.scm   |  6 +++++-
 gnu/packages/enchant.scm | 35 ++++++++++++++++++-----------------
 2 files changed, 23 insertions(+), 18 deletions(-)

base-commit: 54219dc3a440aaf86ece4a65fec1a97c0952f6f2
-- 
2.41.0